CREATE TABLE xplugin_jst_kundenregistrierung_felder (
	felder_id INT(11) NOT NULL AUTO_INCREMENT,
	felder_name VARCHAR(255) NULL DEFAULT NULL,
	felder_selektor VARCHAR(255) NULL DEFAULT NULL,
	felder_eingeblendet TINYINT(4) NULL DEFAULT '0',
	felder_standardwert VARCHAR(255) NULL DEFAULT NULL,
	felder_kundengruppen_id INT NULL,
	felder_pflichtfeld TINYINT NULL DEFAULT '0',
	PRIMARY KEY (felder_id),
	UNIQUE INDEX felder_name (felder_name, felder_kundengruppen_id)
);

CREATE TABLE xplugin_jst_kundenregistrierung_kundengruppen (
	kundengruppen_id INT NOT NULL AUTO_INCREMENT,
	kundengruppen_beschreibung VARCHAR(255) NULL,
	kundengruppen_kundengruppe INT NULL UNIQUE,
	PRIMARY KEY (kundengruppen_id)
);

CREATE TABLE xplugin_jst_kundenregistrierung_selektoren (
  selektoren_id INT NOT NULL AUTO_INCREMENT,
  selektoren_name VARCHAR(32) NULL DEFAULT NULL,
  selektoren_wert VARCHAR(24) NULL DEFAULT NULL,
  PRIMARY KEY (selektoren_id),
  UNIQUE INDEX selektoren_wert (selektoren_name, selektoren_wert)
);

INSERT INTO xplugin_jst_kundenregistrierung_selektoren
  (selektoren_name, selektoren_wert)
VALUES
  ('Anrede', '#salulation'),
  ('Vorname', '#firstName'),
  ('Firma', '#firm'),
  ('Nachname', '#lastName'),
  ('Strasse', '#street'),
  ('Hausnummer', '#streetnumber'),
  ('Postleitzahl', '#plz'),
  ('Birthday', '#birthday'),
  ('Land', '#country'),
  ('Email', '#email'),
  ('ustid', '#ustid');