{if isset($aMeldungen) && $aMeldungen|@count > 0}
    {foreach from=$aMeldungen item=cMeldung}
        <p class="alert alert-success">{$cMeldung}</p>
    {/foreach}
{/if}

<div class="clearfix">
    <p class="fetched-info-star-explanation"><sup class="text-primary fetched-info-star"><i class="fa fa-asterisk"></i></sup>&nbsp;:&nbsp;Der Kunde wurde bereits von der WaWi abgeholt und kann nun nur noch dort ge&auml;ndert werden</p>
    <p>Auf den Namen eines Kunden klicken, um mehr Informationen anzuzeigen</p>
</div>

<table class="freischaltung-list table">
    <tr>
        <th colspan="100%" class="tleft">Registrierungen die noch freigegeben werden m&uuml;ssen</th>
    </tr>
    <tr>
        <th>#</th>
        <th>Kunde</th>
        <th>Kundengruppe</th>
        <th>Registrierung am</th>
        <th>Dateien</th>
        <th>Freischaltung am</th>
    </tr>
</table>
<div class="freischaltung-pagination" style="padding-bottom: 5rem">
    <a class="btn btn-sm btn-default col-md-4 page-back"><</a>
    <a class="btn btn-sm btn-disabled col-md-4 page-num">1</a>
    <a class="btn btn-sm btn-default col-md-4 page-forward">></a>
</div>

<div class="modal" id="infoModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Modal Heading</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                
            </div>
        </div>
    </div>
</div>

<script>
    {literal}

    $(function() {
        let currentPage = 0;
        let maxPerPage = 20;
        let customergroups = {/literal}{$oKundengruppe_arr|json_encode}{literal};

        $('.freischaltung-pagination .page-back').on('click', function() {
            if(currentPage > 0) {
                currentPage --;
                loadTable();
                $('.freischaltung-pagination .page-num').html(currentPage + 1);
            }
        });

        $('.freischaltung-pagination .page-forward').on('click', function() {
            currentPage ++;
            loadTable();
            $('.freischaltung-pagination .page-num').html(currentPage + 1);
        });

        let loadTable = function() {
            $.get(
                '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}/ajax/jst_freischaltung.ajax.php',
                {action: 'getFreischaltungen', start: currentPage, length: maxPerPage},
                function(data, status) {
                    fillTable(data);
                }
            );
        }

        loadTable();

        let fillTable = function(data) {
            data = JSON.parse(data || '[]');

            let filesToFetch = [];

            if(data.length) {
                $('.freischaltung-list .display-row').remove();

                data.forEach(row => {

                    let tr = $('<tr class="display-row">');
                    switch(row.freischaltung_status) {
                        case '0': tr.addClass('danger'); break;
                        case '1': tr.addClass('success'); break;
                        case '2': tr.addClass('info'); break;
                        default: tr.addClass('warning'); break;
                    }

                    tr.append(`<td>${row.freischaltung_id}</td>`);
                    tr.append(`<td class="namecolumn">${(row.cVorname && row.cNachname) ? (row.cVorname + ' ' + row.cNachname) : '[gelscht]'}</td>`);
                    
                    if(row.freischaltung_status == 0 && row.cAbgeholt == 'N') {
                        let select = $(`<select form="submitform_${row.freischaltung_id}" name="updategroup">`);
                        customergroups.forEach(row2 => {
                            select.append(`<option value="${row2.kundengruppen_id}" ${row2.kundengruppen_id == row.freischaltung_kundengruppe ? 'selected' : ''}>${row2.cName}</option>`);
                        });
                        let td = $('<td>');
                        td.append(select);
                        tr.append(td);
                    } else {
                        let group = customergroups.find(cg => cg.kundengruppen_kundengruppe == row.freischaltung_kundengruppe);
                        let td = $('<td>');
                        td.append(group.cName + (row.cAbgeholt == 'Y' ? '<sup class="text-primary fetched-info-star"><i class="fa fa-asterisk"></i></sup>' : ''));
                        tr.append(td);
                    }

                    tr.append(`<td>${row.freischaltung_registrierung}</td>`);

                    let td = $('<td>');
                    if(row.filecount > 0) {
                        filesToFetch.push({id: row.freischaltung_id, td: td});
                    }
                    tr.append(td);

                    let tdFreischaltung = $(`<td>${row.freischaltung_freigeschaltet || ''}</td>`);

                    if(row.freischaltung_status == 0) {
                        let form = $('<form id="submitform_' + row.freischaltung_id + '" method="POST" autocomplete="off" action="?kPlugin={/literal}{$oPlugin->kPlugin}{literal}&aktion=freischaltung">');
                        form.append(`<input type="hidden" name="id" value="${row.freischaltung_id}">`);
                        form.append(`<input type="hidden" name="cPluginTab" value="Freischaltung">`);
                        form.append(`<input type="submit" class="submit btn btn-primary" value="Freischalten">`);

                        tdFreischaltung.append(form);
                    } else {
                        let form = $('<form id="submitform_' + row.freischaltung_id + '" method="POST" autocomplete="off" action="?kPlugin={/literal}{$oPlugin->kPlugin}{literal}&aktion=blockieren">');
                        form.append(`<input type="hidden" name="id" value="${row.freischaltung_id}">`);
                        form.append(`<input type="hidden" name="cPluginTab" value="Freischaltung">`);
                        form.append(`<input type="hidden" name="reason" value="">`);
                        form.append(`<input type="submit" class="blockbutton submit btn btn-danger" value="Blockieren">`);

                        tdFreischaltung.append(form);
                    }
                    tr.append(tdFreischaltung);

                    tr.append(`<td class="hiddenKNum">${row.freischaltung_kunde}</td>`);
                    $('.freischaltung-list').append(tr);
                });
                if(filesToFetch.length) {
                    $.get(
                        '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}/ajax/jst_freischaltung.ajax.php',
                        {action: 'getDateienBatch', ids: filesToFetch.map(el => el.id)},
                        function(files, status) {
                            files = JSON.parse(files);
                            filesToFetch.forEach(el => {
                                files[el.id].forEach((f, index) => {
                                    console.log(el.id, files[el.id], f);
                                    el.td.append(`<a class="btn btn-sm btn-default" target="_blank" href="{/literal}{$URL_SHOP}/{$JST_KR_FILEUPLOAD}{literal}${f.cDatei}">Datei #${index + 1}</a>`);
                                });
                            });
                        }
                    );
                }
            }
        }
    });

    $(document).on('change', 'select[name=updategroup]', function(event) {
        var id = $(event.target.form).children('input[name=id]').get(0).value;
        var group = event.target.value;
        $.ajax({
            type: 'POST',
            datatype: 'html',
            data: {'kunden_id' : id, 'kunden_gruppe' : group},
            url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}/ajax/jst_kundengruppe.ajax.php?action=update',
            success: function(data){
                if(data == 0) {
                    alert('Datenbankfehler');
                }
            },
            error: function(data){
            }
        });
    });
    
    $(document).on('click', '.blockbutton', function(event) {
        var ret = prompt('Bitte einen Grund zum Blockieren angeben', '');
        if(ret == null || ret == '') {
           event.stopPropagation();
           return false;
        }
        $('input[name=reason]', $(this).parent()).val(ret);
        return true;
    });
    
    $(document).on('click', '.namecolumn', function(event) {
        let tis = $(this);
        let id = tis.parent().children('.hiddenKNum').text();
        let modal = $('#infoModal');
        $.post(
            '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}/ajax/jst_freischaltung.ajax.php',
            {kunden_id : id, action: 'getMail'},
            function(data, status) {
                if(status == 'success') {
                    $('.modal-title', modal).html(tis.html());
                    $('.modal-body', modal).html('E-Mail: ' + data);
                    modal.modal('show');
                }
            }
        );
    });
    {/literal}
</script>